Hex Artifact Content

Artifact ad6eceef53dd2b525ec4e4591f5dcf4aa6026e04:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 5a  2...exit 1.fi..Z
00f0: 4c 49 42 56 45 52 53 3d 22 31 2e 32 2e 38 22 0a  LIBVERS="1.2.8".
0100: 53 52 43 3d 22 73 72 63 2f 7a 6c 69 62 2d 24 7b  SRC="src/zlib-${
0110: 5a 4c 49 42 56 45 52 53 7d 2e 74 61 72 2e 67 7a  ZLIBVERS}.tar.gz
0120: 22 0a 53 52 43 55 52 4c 3d 22 68 74 74 70 3a 2f  ".SRCURL="http:/
0130: 2f 73 6f 75 72 63 65 66 6f 72 67 65 2e 6e 65 74  /sourceforge.net
0140: 2f 70 72 6f 6a 65 63 74 73 2f 6c 69 62 70 6e 67  /projects/libpng
0150: 2f 66 69 6c 65 73 2f 7a 6c 69 62 2f 24 7b 5a 4c  /files/zlib/${ZL
0160: 49 42 56 45 52 53 7d 2f 7a 6c 69 62 2d 24 7b 5a  IBVERS}/zlib-${Z
0170: 4c 49 42 56 45 52 53 7d 2e 74 61 72 2e 67 7a 2f  LIBVERS}.tar.gz/
0180: 64 6f 77 6e 6c 6f 61 64 22 0a 42 55 49 4c 44 44  download".BUILDD
0190: 49 52 3d 22 24 28 70 77 64 29 2f 62 75 69 6c 64  IR="$(pwd)/build
01a0: 2f 7a 6c 69 62 2d 24 7b 5a 4c 49 42 56 45 52 53  /zlib-${ZLIBVERS
01b0: 7d 22 0a 4f 55 54 44 49 52 3d 22 24 28 70 77 64  }".OUTDIR="$(pwd
01c0: 29 2f 6f 75 74 22 0a 49 4e 53 54 44 49 52 3d 22  )/out".INSTDIR="
01d0: 24 28 70 77 64 29 2f 69 6e 73 74 22 0a 65 78 70  $(pwd)/inst".exp
01e0: 6f 72 74 20 5a 4c 49 42 56 45 52 53 20 53 52 43  ort ZLIBVERS SRC
01f0: 20 53 52 43 55 52 4c 20 42 55 49 4c 44 44 49 52   SRCURL BUILDDIR
0200: 20 4f 55 54 44 49 52 20 49 4e 53 54 44 49 52 0a   OUTDIR INSTDIR.
0210: 0a 23 20 53 65 74 20 63 6f 6e 66 69 67 75 72 65  .# Set configure
0220: 20 6f 70 74 69 6f 6e 73 20 66 6f 72 20 74 68 69   options for thi
0230: 73 20 73 75 62 2d 70 72 6f 6a 65 63 74 0a 4c 44  s sub-project.LD
0240: 46 4c 41 47 53 3d 22 24 7b 4c 44 46 4c 41 47 53  FLAGS="${LDFLAGS
0250: 7d 20 24 7b 4b 43 5f 5a 4c 49 42 5f 4c 44 46 4c  } ${KC_ZLIB_LDFL
0260: 41 47 53 7d 22 0a 43 46 4c 41 47 53 3d 22 24 7b  AGS}".CFLAGS="${
0270: 43 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 5a 4c 49  CFLAGS} ${KC_ZLI
0280: 42 5f 43 46 4c 41 47 53 7d 22 0a 43 50 50 46 4c  B_CFLAGS}".CPPFL
0290: 41 47 53 3d 22 24 7b 43 50 50 46 4c 41 47 53 7d  AGS="${CPPFLAGS}
02a0: 20 24 7b 4b 43 5f 5a 4c 49 42 5f 43 50 50 46 4c   ${KC_ZLIB_CPPFL
02b0: 41 47 53 7d 22 0a 4c 49 42 53 3d 22 24 7b 4c 49  AGS}".LIBS="${LI
02c0: 42 53 7d 20 24 7b 4b 43 5f 5a 4c 49 42 5f 4c 49  BS} ${KC_ZLIB_LI
02d0: 42 53 7d 22 0a 65 78 70 6f 72 74 20 4c 44 46 4c  BS}".export LDFL
02e0: 41 47 53 20 43 46 4c 41 47 53 20 43 50 50 46 4c  AGS CFLAGS CPPFL
02f0: 41 47 53 20 4c 49 42 53 0a 0a 72 6d 20 2d 72 66  AGS LIBS..rm -rf
0300: 20 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20 27   'build' 'out' '
0310: 69 6e 73 74 27 0a 6d 6b 64 69 72 20 27 62 75 69  inst'.mkdir 'bui
0320: 6c 64 27 20 27 6f 75 74 27 20 27 69 6e 73 74 27  ld' 'out' 'inst'
0330: 20 7c 7c 20 65 78 69 74 20 31 0a 0a 69 66 20 5b   || exit 1..if [
0340: 20 21 20 2d 66 20 22 24 7b 53 52 43 7d 22 20 5d   ! -f "${SRC}" ]
0350: 3b 20 74 68 65 6e 0a 09 6d 6b 64 69 72 20 27 73  ; then..mkdir 's
0360: 72 63 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32  rc' >/dev/null 2
0370: 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09 69 66 20  >/dev/null...if 
0380: 5b 20 21 20 2d 64 20 27 62 75 69 6c 64 73 72 63  [ ! -d 'buildsrc
0390: 27 20 5d 3b 20 74 68 65 6e 0a 09 09 64 6f 77 6e  ' ]; then...down
03a0: 6c 6f 61 64 20 22 24 7b 53 52 43 55 52 4c 7d 22  load "${SRCURL}"
03b0: 20 22 24 7b 53 52 43 7d 22 20 2d 20 7c 7c 20 65   "${SRC}" - || e
03c0: 78 69 74 20 31 0a 09 66 69 0a 66 69 0a 0a 28 0a  xit 1..fi.fi..(.
03d0: 09 63 64 20 27 62 75 69 6c 64 27 20 7c 7c 20 65  .cd 'build' || e
03e0: 78 69 74 20 31 0a 0a 09 69 66 20 5b 20 21 20 2d  xit 1...if [ ! -
03f0: 64 20 27 2e 2e 2f 62 75 69 6c 64 73 72 63 27 20  d '../buildsrc' 
0400: 5d 3b 20 74 68 65 6e 0a 09 09 67 7a 69 70 20 2d  ]; then...gzip -
0410: 64 63 20 22 2e 2e 2f 24 7b 53 52 43 7d 22 20 7c  dc "../${SRC}" |
0420: 20 74 61 72 20 2d 78 66 20 2d 0a 09 65 6c 73 65   tar -xf -..else
0430: 0a 09 09 63 70 20 2d 72 70 20 2e 2e 2f 62 75 69  ...cp -rp ../bui
0440: 6c 64 73 72 63 2f 2a 20 27 2e 2f 27 0a 09 66 69  ldsrc/* './'..fi
0450: 0a 0a 09 63 64 20 22 24 7b 42 55 49 4c 44 44 49  ...cd "${BUILDDI
0460: 52 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09  R}" || exit 1...
0470: 63 61 73 65 20 24 28 75 6e 61 6d 65 20 2d 73 20  case $(uname -s 
0480: 32 3e 20 2f 64 65 76 2f 6e 75 6c 6c 29 20 69 6e  2> /dev/null) in
0490: 0a 09 09 4d 49 4e 47 57 2a 20 7c 20 6d 69 6e 67  ...MINGW* | ming
04a0: 77 2a 29 0a 09 09 09 23 20 75 73 65 20 77 69 6e  w*)....# use win
04b0: 33 32 2f 4d 61 6b 65 66 69 6c 65 2e 67 63 63 20  32/Makefile.gcc 
04c0: 69 6e 73 74 65 61 64 2e 0a 09 09 09 65 63 68 6f  instead.....echo
04d0: 20 22 52 75 6e 6e 69 6e 67 3a 20 63 70 20 77 69   "Running: cp wi
04e0: 6e 33 32 2f 4d 61 6b 65 66 69 6c 65 2e 67 63 63  n32/Makefile.gcc
04f0: 20 4d 61 6b 65 66 69 6c 65 22 0a 09 09 09 63 70   Makefile"....cp
0500: 20 77 69 6e 33 32 2f 4d 61 6b 65 66 69 6c 65 2e   win32/Makefile.
0510: 67 63 63 20 4d 61 6b 65 66 69 6c 65 0a 0a 09 09  gcc Makefile....
0520: 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20  .echo "Running: 
0530: 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 22 0a 09  ${MAKE:-make}"..
0540: 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20  ..${MAKE:-make} 
0550: 7c 7c 20 65 78 69 74 20 31 0a 0a 09 09 09 65 63  || exit 1.....ec
0560: 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 42 49 4e  ho "Running: BIN
0570: 41 52 59 5f 50 41 54 48 3d 24 7b 49 4e 53 54 44  ARY_PATH=${INSTD
0580: 49 52 7d 2f 62 69 6e 20 49 4e 43 4c 55 44 45 5f  IR}/bin INCLUDE_
0590: 50 41 54 48 3d 24 7b 49 4e 53 54 44 49 52 7d 2f  PATH=${INSTDIR}/
05a0: 69 6e 63 6c 75 64 65 20 4c 49 42 52 41 52 59 5f  include LIBRARY_
05b0: 50 41 54 48 3d 24 7b 49 4e 53 54 44 49 52 7d 2f  PATH=${INSTDIR}/
05c0: 6c 69 62 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65  lib ${MAKE:-make
05d0: 7d 20 69 6e 73 74 61 6c 6c 22 0a 09 09 09 42 49  } install"....BI
05e0: 4e 41 52 59 5f 50 41 54 48 3d 24 7b 49 4e 53 54  NARY_PATH=${INST
05f0: 44 49 52 7d 2f 62 69 6e 20 49 4e 43 4c 55 44 45  DIR}/bin INCLUDE
0600: 5f 50 41 54 48 3d 24 7b 49 4e 53 54 44 49 52 7d  _PATH=${INSTDIR}
0610: 2f 69 6e 63 6c 75 64 65 20 4c 49 42 52 41 52 59  /include LIBRARY
0620: 5f 50 41 54 48 3d 24 7b 49 4e 53 54 44 49 52 7d  _PATH=${INSTDIR}
0630: 2f 6c 69 62 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b  /lib ${MAKE:-mak
0640: 65 7d 20 69 6e 73 74 61 6c 6c 0a 09 09 09 3b 3b  e} install....;;
0650: 0a 09 09 2a 29 0a 09 09 09 23 20 49 66 20 77 65  ...*)....# If we
0660: 20 61 72 65 20 62 75 69 6c 64 69 6e 67 20 66 6f   are building fo
0670: 72 20 4b 69 74 44 4c 4c 2c 20 63 6f 6d 70 69 6c  r KitDLL, compil
0680: 65 20 77 69 74 68 20 27 2d 66 50 49 43 27 0a 09  e with '-fPIC'..
0690: 09 09 69 66 20 5b 20 22 24 7b 4b 49 54 54 41 52  ..if [ "${KITTAR
06a0: 47 45 54 7d 22 20 3d 20 22 6b 69 74 64 6c 6c 22  GET}" = "kitdll"
06b0: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 09 43 46 4c   ]; then.....CFL
06c0: 41 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d 20 2d  AGS="${CFLAGS} -
06d0: 66 50 49 43 22 0a 09 09 09 09 65 78 70 6f 72 74  fPIC".....export
06e0: 20 43 46 4c 41 47 53 0a 09 09 09 66 69 0a 0a 09   CFLAGS....fi...
06f0: 09 09 23 20 57 65 20 64 6f 6e 27 74 20 70 61 73  ..# We don't pas
0700: 73 20 43 4f 4e 46 49 47 55 52 45 45 58 54 52 41  s CONFIGUREEXTRA
0710: 20 68 65 72 65 2c 20 73 69 6e 63 65 20 74 68 69   here, since thi
0720: 73 20 69 73 6e 27 74 20 61 20 47 4e 55 20 61 75  s isn't a GNU au
0730: 74 6f 63 6f 6e 66 0a 09 09 09 23 20 73 63 72 69  toconf....# scri
0740: 70 74 20 61 6e 64 20 77 69 6c 6c 20 70 75 6b 65  pt and will puke
0750: 0a 09 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e  ....echo "Runnin
0760: 67 3a 20 2e 2f 63 6f 6e 66 69 67 75 72 65 20 2d  g: ./configure -
0770: 2d 70 72 65 66 69 78 3d 5c 22 24 7b 49 4e 53 54  -prefix=\"${INST
0780: 44 49 52 7d 5c 22 20 2d 2d 6c 69 62 64 69 72 3d  DIR}\" --libdir=
0790: 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62  \"${INSTDIR}/lib
07a0: 5c 22 20 2d 2d 73 74 61 74 69 63 22 0a 09 09 09  \" --static"....
07b0: 2e 2f 63 6f 6e 66 69 67 75 72 65 20 2d 2d 70 72  ./configure --pr
07c0: 65 66 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d  efix="${INSTDIR}
07d0: 22 20 2d 2d 6c 69 62 64 69 72 3d 22 24 7b 49 4e  " --libdir="${IN
07e0: 53 54 44 49 52 7d 2f 6c 69 62 22 20 2d 2d 73 74  STDIR}/lib" --st
07f0: 61 74 69 63 0a 0a 09 09 09 65 63 68 6f 20 22 52  atic.....echo "R
0800: 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d  unning: ${MAKE:-
0810: 6d 61 6b 65 7d 22 0a 09 09 09 24 7b 4d 41 4b 45  make}"....${MAKE
0820: 3a 2d 6d 61 6b 65 7d 20 7c 7c 20 65 78 69 74 20  :-make} || exit 
0830: 31 0a 0a 09 09 09 65 63 68 6f 20 22 52 75 6e 6e  1.....echo "Runn
0840: 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b  ing: ${MAKE:-mak
0850: 65 7d 20 69 6e 73 74 61 6c 6c 22 0a 09 09 09 24  e} install"....$
0860: 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 69 6e 73  {MAKE:-make} ins
0870: 74 61 6c 6c 0a 09 09 09 3b 3b 0a 09 65 73 61 63  tall....;;..esac
0880: 0a 0a 09 23 20 57 65 20 64 6f 6e 27 74 20 72 65  ...# We don't re
0890: 61 6c 6c 79 20 63 61 72 65 20 74 6f 6f 20 6d 75  ally care too mu
08a0: 63 68 20 61 62 6f 75 74 20 66 61 69 6c 75 72 65  ch about failure
08b0: 20 69 6e 20 7a 6c 69 62 0a 09 65 78 69 74 20 30   in zlib..exit 0
08c0: 0a 29 20 7c 7c 20 65 78 69 74 20 31 0a 0a 65 78  .) || exit 1..ex
08d0: 69 74 20 30 0a                                   it 0.